(* bezier : int -> float -> float -> float -> float -> float -> float -> unit   *)
(* bezier nb_points xa ya xb yb xc yc trace la courbe de Bezier  de A  C avec     *)
(*                          le point de controle B     *)

(*
let bezier xa ya xb yb xc yc =
   output_string("\\qbezier");
   output_floats (xpaper_of_x xa) (ypaper_of_y ya);
   output_floats (xpaper_of_x xb) (ypaper_of_y yb);
   output_floats (xpaper_of_x xc) (ypaper_of_y yc);
   output_string ("\n");;
*)

let bezier n xa ya xb yb xc yc =
   draw_curve
    (
    function r -> let r' = 1. -. r in
                  r' *. r' *. xa +. 2. *. r *. r' *. xb +. r *. r *. xc
    )
    (
    function r -> let r' = 1. -. r in
                  r' *. r' *. ya +. 2. *. r *. r' *. yb +. r *. r *. yc
    )
    0. 1. n;;
